%global pyname paramiko
%define version 2.7.2
%define unmangled_version 2.7.2
%define release 1

Summary: SSH2 protocol library
Name: python3-%{pyname}
Version: %{version}
Release: %{release}
Source0: %{pyname}-%{unmangled_version}.tar.gz
License: LGPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{pyname}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Jeff Forcier <jeff@bitprophet.org>
Url: https://github.com/paramiko/paramiko/
BuildRequires: python3-devel
Requires: python3-bcrypt >= 3.1.3
Requires: python3-cryptography >= 2.5
Requires: python3-PyNaCl >= 1.0.1

%description

This is a library for making SSH2 connections (client or server).
Emphasis is on using SSH2 as an alternative to SSL for making secure
connections between python scripts.  All major ciphers and hash methods
are supported.  SFTP client and server mode are both supported too.

To install the development version, ``pip install -e
git+https://github.com/paramiko/paramiko/#egg=paramiko``.


%prep
%setup -n %{pyname}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Tue Oct 20 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp>
- Initial build
